<?php /*------------------------------------------------------------------------
 # author Gonzalo Suez
 # copyright Copyright © 2013 gsuez.cl. All rights reserved.
 # @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 # Website http://www.gsuez.cl
 -------------------------------------------------------------------------*/	// no direct access
defined('_JEXEC') or die ;
include 'includes/params.php';
if ($params -> get('compile_sass', '0') === '1') {
	require_once "includes/sass.php";
}
?>
<!DOCTYPE html>
<html lang="en">
  <?php
include 'includes/head.php';
  ?>

  <body>

    <div id="wrap">
      <!--Navigation-->

      <!-- navigation panel -->
      <header id="header" class="header header--fixed hide-from-print" >
        <nav class="navbar navbar-default navbar-inverse navbar-fixed-top" role="navigation">
        	<div class="container-fluid top-special">
        		 <jdoc:include type="modules" name="top-special" style="none" />
        	</div>	
          <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
              <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-collapse-main">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
              </button>
              <div id="brand">
                <a href="<?php  echo $this->params->get('logo_link')   ?>"> <img src="<?php echo $tpath; ?>/images/tartucollege-logo.svg" alt="Logo" /> </a>
              </div>
            </div>

            <div class="collapse navbar-collapse" id="navbar-collapse-main">
              <jdoc:include type="modules" name="navigation" style="xhtml" />

            </div><!-- /.navbar-collapse -->
          </div><!-- /.container-fluid -->
        </nav>
                
                <!-- Facebook Pixel Code -->
<script>
!function(f,b,e,v,n,t,s)
{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
n.callMethod.apply(n,arguments):n.queue.push(arguments)};
if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
n.queue=[];t=b.createElement(e);t.async=!0;
t.src=v;s=b.getElementsByTagName(e)[0];
s.parentNode.insertBefore(t,s)}(window,document,'script',
'https://connect.facebook.net/en_US/fbevents.js');
 fbq('init', '2725869954208944'); 
fbq('track', 'PageView');
</script>
<noscript>
 <img height="1" width="1" 
src="https://www.facebook.com/tr?id=2725869954208944&ev=PageView
&noscript=1"/>
</noscript>
<!-- End Facebook Pixel Code -->
                
      </header>

      <div class="clearfix"></div>
      <!--Navigation-->

      <?php if ($this->countModules('main-header')):
      ?>
      <!-- first section - Home -->
      <div id="home" class="home rellax <?php $classes = array('bg-home-1', 'bg-home-2', 'bg-home-3');
		echo $classes[array_rand($classes, 1)];
      ?> " data-rellax-speed="-10"  >

      <div class="container">
      <div class="row">
        <div class="col-sm-12 rellax" data-rellax-speed="3">
          <jdoc:include type="modules" name="main-header" style="xhtml" />
        </div>
      </div>

      <div class="row">
        <div class="col-sm-10 col-md-offset-1 rellax" data-rellax-speed="3">
          <jdoc:include type="modules" name="main-header2" style="xhtml" />
        </div>
      </div>

      <div class="row" >
        <div class="col-sm-6 rellax" data-rellax-speed="2">
          <jdoc:include type="modules" name="header-left" style="xhtml" />
        </div>
        <div class="col-sm-6 rellax" data-rellax-speed="2">

          <jdoc:include type="modules" name="header-right" style="xhtml" />

        </div>
      </div>

      </div>
    </div>
    <!-- /first section -->

    <!-- second section - About -->
    <div id="announcements" class="pad-section rellax"  data-rellax-speed="0" >
      <div class="container">
        <div class="row">
          <div class="col-sm-10 col-md-offset-1">
            <jdoc:include type="component" />
            <jdoc:include type="modules" name="anaouncments" style="xhtml" />
          </div>

        </div>
      </div>
    </div>
    <!-- /second section -->

    <!-- third section - Services -->
    <div id="services" class="pad-section rellax" data-rellax-speed="0">
      <div class="container">

        <jdoc:include type="modules" name="fp-information-services" style="xhtml" />

      </div>
    </div>
    <!-- /third section -->

    <!-- fourth section - Information -->
    <div id="information" class="pad-section rellax" data-rellax-speed="0">
      <div class="container">
        <div class="row">
          <div class="col-md-10">
            <div class="panel panel-default rellax" data-rellax-speed="-1" data-rellax-percentage="0.5" >
              <jdoc:include type="modules" name="fp-information-1" style="xhtml" />
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-10 col-md-offset-2">
            <div class="panel panel-default rellax" data-rellax-speed="-1" data-rellax-percentage="0.5">
              <jdoc:include type="modules" name="fp-information-2" style="xhtml" />
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-10">
            <div class="panel panel-default rellax" data-rellax-speed="-1" data-rellax-percentage="0.5">
              <jdoc:include type="modules" name="fp-information-3" style="xhtml" />
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- /fourth section -->

    <?php else: ?>

    <div id="content" class="pad-section rellax" data-rellax-speed="0" >
      <div class="container">
      	  <?php if ($this->countModules('content-top')): ?>
          <div class="row">
          <div class="col-sm-12">
            <jdoc:include type="modules" name="content-top" style="xhtml" />
          </div>
        </div>
        <?php endif; ?>
        
        <div class="row">
          <div class="col-sm-12">
            <jdoc:include type="component" />
          </div>
        </div>
      </div>
    </div>

    <?php endif; ?>

    <!-- fifth section -->
    <div id="contact" class="pad-section rellax" data-rellax-speed="0" >
      <div class="container">
        <div class="row">
          <div class="col-sm-12">
            <jdoc:include type="modules" name="footer-contact" style="xhtml" />
          </div>
        </div>
      </div>
    </div>
    <!-- /fifth section -->

    <!-- google map -->
    <div id="google_map"  ></div>
    <!-- /google map -->

    <!-- footer -->
    <footer >
      <div class="container">
        <div class="row">
          <div class="col-md-4">
            <p>
              Copyright © TARTU COLLEGE
            </p>
          </div>
          <div class="col-md-4">
            <jdoc:include type="message" />
            <jdoc:include type="modules" name="debug" style="xhtml" />
            <jdoc:include type="modules" name="footer-map" style="xhtml" />
          </div>
          <div class="col-md-4">
            <a class="pull-right" href="http://confirmo.ee" style="font-size: 12px;">designed by Confirmo</a>
          </div>
        </div>

      </div>
    </footer>
    <!-- /footer -->
    </div>

    <!-- page -->

    <script>
		var rellax = new Rellax('.rellax', {
			// center: true
		});
    </script>

    <!-- JS -->
    <script type="text/javascript" src="<?php echo $tpath; ?>/js/template.js"></script>
    <script type="text/javascript" src="<?php echo $tpath; ?>/js/gmap.js"></script>

    <script src="//maps.google.com/maps/api/js?key=AIzaSyBvCH1zugjAulAEsLPs6SIFEGajJRJD3KE"></script>

    <!-- JS -->
      
  </body>
</html>